package org.jboss.btison.switchyard.testbed.soap.fault.webservice;

import javax.jws.WebService;

import org.jboss.btison.switchyard.testbed.ws.model.Order;
import org.jboss.btison.switchyard.testbed.ws.model.OrderAck;
import org.jboss.btison.switchyard.testbed.ws.model.OrderService;

@WebService(
   portName = "OrderServicePort",
   serviceName = "OrderService",
   wsdlLocation = "WEB-INF/wsdl/OrderService.wsdl",
   targetNamespace = "urn:switchyard-services:orderservice:1.0",
   endpointInterface = "org.jboss.btison.switchyard.testbed.ws.model.OrderService"
)
public class OrderServiceImpl implements OrderService {

    @Override
    public OrderAck submitOrder(Order order) {
        System.out.println("Order received: " + order.getOrderId());
        if (order.getQuantity() < 1) {
            throw new IllegalArgumentException("Quantity cannot be 0");
        }
        OrderAck orderAck = new OrderAck();
        orderAck.setOrderId(order.getOrderId());
        orderAck.setAccepted(true);
        orderAck.setStatus("Order Accepted");
        return orderAck;
    }

}
